Kerbal Space Program - Bug #12838

MacOS application does not open correctly
10/05/2016 08:08 PM - MaxPeck

Status: Closed Start date: 10/05/2016
Severity: High % Done: 100%
Assignee:

Category: Application

Target version: 1.2.2

Version: Not Applicable Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

Game does not run if opened using the .app package. The program initializes and then hangs on "loading asset bundle definitions
with no logs generated.

If you open the app bundle by right clicking on it and navigating the internal structure to the MacOS folder and run the executable
directly, the game runs as normal.

Last tried on KSP v1.2 prerelease build 1553. Run on MacOS Sierra on a mid-2014 MacBook pro. Also reported failures on iMacs
as well via the forums.

History

#2 - 10/13/2016 12:02 PM - Squelch
- Status changed from New to Ready to Test
- Target version set to 1.2.0

- % Done changed from 0 to 80
This should be fixed in the full release vrsion of KSP 1.2
#3 - 10/13/2016 06:13 PM - MaxPeck

Squelch wrote:

This should be fixed in the full release vrsion of KSP 1.2

It's not. Still broken. Can be fixed by CTRL-copying the app out of the KSP folder and back, but does not work out of the box.

#5 - 12/07/2016 03:43 AM - JPLRepo

- Target version changed from 1.2.0 to 1.2.2

This should be fixed in 1.2.2. The OSX app is now signed. Please test.

#6 - 01/31/2017 11:38 PM - OrbitalVector

- File iMac.rtf added

- File Player.log added

- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

It looks like the issue is still in 1.2.2. When launching the .app bundle, the loading screen appears but it never makes any progress on "Loading Asset
Bundle Definitions".

1.2.2 loads successfully when launching the unix executable or launching from Instruments.

Test conditions:
e Clean, non-Steam install of KSP 1.2.2 (Build 1622) 64-bit
e Test machine is a Late 2013, 27-inch iMac, running macOS Sierra (10.12.2)

#7 - 06/01/2017 05:48 AM - MotoTK

Recently downloaded, having the same issue on KSP 1.3.0. The workaround, "If you open the app bundle by right clicking on it and navigating the
internal structure to the MacOS folder and run the executable directly, the game runs as normal" still works though. Any plans for a fix? Am | missing
something?

#8 - 02/28/2018 12:48 AM - Squelch
- Status changed from Not Fixed to Closed
- % Done changed from 50 to 100

Files
iMac.rtf 666 Bytes 01/31/2017 OrbitalVector
Player.log 30.4 KB 01/31/2017 OrbitalVector
